summaryrefslogtreecommitdiff
path: root/qtc_packaging
diff options
context:
space:
mode:
authorJavier S. Pedro <maemo@javispedro.com>2012-08-10 23:52:30 +0200
committerJavier S. Pedro <maemo@javispedro.com>2012-08-10 23:52:30 +0200
commit1b8f2a0e2e63b1f881b6ba7b18982353b9c27b19 (patch)
tree72a3b00cee7068e03d1d5182d70622903fda58c0 /qtc_packaging
parentd3ed26704ad29f58f28f7ef84de5bbf6b5f0eaf6 (diff)
downloadsowatch-1b8f2a0e2e63b1f881b6ba7b18982353b9c27b19.tar.gz
sowatch-1b8f2a0e2e63b1f881b6ba7b18982353b9c27b19.zip
fix package upgrade issues
Diffstat (limited to 'qtc_packaging')
-rw-r--r--qtc_packaging/debian_harmattan/postinst13
-rw-r--r--qtc_packaging/debian_harmattan/prerm13
-rwxr-xr-xqtc_packaging/debian_harmattan/rules6
3 files changed, 27 insertions, 5 deletions
diff --git a/qtc_packaging/debian_harmattan/postinst b/qtc_packaging/debian_harmattan/postinst
new file mode 100644
index 0000000..c0a1855
--- /dev/null
+++ b/qtc_packaging/debian_harmattan/postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+#DEBHELPER#
+
+case "$1" in
+ configure)
+ start -v apps/sowatchd || :
+ ;;
+esac
+
+exit 0
diff --git a/qtc_packaging/debian_harmattan/prerm b/qtc_packaging/debian_harmattan/prerm
new file mode 100644
index 0000000..5deafcb
--- /dev/null
+++ b/qtc_packaging/debian_harmattan/prerm
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ upgrade|remove)
+ stop -v apps/sowatchd || :
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/qtc_packaging/debian_harmattan/rules b/qtc_packaging/debian_harmattan/rules
index 07d6f82..804d37c 100755
--- a/qtc_packaging/debian_harmattan/rules
+++ b/qtc_packaging/debian_harmattan/rules
@@ -20,7 +20,7 @@ endif
configure: configure-stamp
configure-stamp:
dh_testdir
- # qmake PREFIX=/usr# Uncomment this line for use without Qt Creator
+ # qmake PREFIX=/usr # Uncomment this line for use without Qt Creator
touch configure-stamp
@@ -30,9 +30,7 @@ build: build-stamp
build-stamp: configure-stamp
dh_testdir
- # Add here commands to compile the package.
# $(MAKE) $(PARALLEL) # Uncomment this line for use without Qt Creator
- #docbook-to-man debian/sowatch.sgml > sowatch.1
touch $@
@@ -41,7 +39,6 @@ clean:
dh_testroot
rm -f build-stamp configure-stamp
- # Add here commands to clean up after the build process.
-$(MAKE) clean
dh_clean
@@ -52,7 +49,6 @@ install: build
dh_clean -k
dh_installdirs
- # Add here commands to install the package into debian/sowatch.
$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/sowatch install